Herramientas de usuario

Herramientas del sitio

Traducciones de esta página:

repo:instalacion:dependencias

Instalación dependencias

64-bits

sudo apt-get install php5-cli libftdi-dev libusb-1.0-0-dev git git-gui libgtk2.0-0:i386 libxtst6:i386 libpangox-1.0-0:i386 libpangoxft-1.0-0:i386 libidn11:i386 libglu1-mesa:i386 libncurses5:i386 libudev1:i386 libusb-1.0:i386 libusb-0.1:i386 gtk2-engines-murrine:i386 libnss3-1d:i386 libwebkitgtk-1.0-0 gtkterm

32-bits

sudo apt-get install php5-cli libftdi-dev libusb-1.0-0-dev git git-gui libgtk2.0-0 libxtst6 libpangox-1.0-0 libpangoxft-1.0-0 libidn11 libglu1-mesa libncurses5 libudev1 libusb-1.0 libusb-0.1 gtk2-engines-murrine libnss3-1d libwebkitgtk-1.0-0 gtkterm

Puede que en 32-bits indique que algunos paquetes ya están instalados.

Dependiendo de la distribución utilizada, puede ser necesario reemplazar por “php7-cli” donde dice “php5-cli.

Permisos

Agregar el usuario al grupo dialout (para acceder a puertos serie con openocd o las terminales):

sudo adduser $USER dialout

Entorno

Crear una carpeta ciaa-ide en el home del usuario e ingresar a la misma, según entorno

cd
mkdir ciaa-ide
cd ciaa-ide
repo/instalacion/dependencias.txt · Última modificación: 2016/11/19 13:52 por cpantelides